draw-attribute

Para desenhar entidades ATTRIB e ATTDEF:
(defun draw-attribute (def? fix? edit? tag str ptg lay rot
                       alt st ali
 / tmp)
  (
if (not (tblsearch "style" st))
    (
setq st (getvar "textstyle")))
  (
get-alh-alv)
  (
setq tmp (mapcar 'cons
          (list 0 8 10 40 1 50 41 7 72 11 3 2 70 74 280)
          (
list (if def? "ATTDEF" "ATTRIB")
            lay ptg alt tag rot 1 st alh ptg
                    str tag edit? alv
 (if fix? 1 0)))
    tmp (if (> (atoi (substr (getvar "acadver") 1 2)) 16)
              tmp
              (vl-remove (assoc 280 tmp) tmp))
    tmp (entmakex (if def? tmp (remove-n 10 tmp))))
  tmp)


sendo:
def? - ATTDEF (t) ou ATTRIB (nil)
fix? - ponto de inserção fixo em relação ao bloco? (t) só funciona no cad 2006 e 2007
edit? - atributo editavel? (t) ou não
tag - string, nome do atributo
str - string, valor (se attrib), ou valor padrão (se attdef)
ptg - coordenada, ponto de inserção
lay - string, layer
rot - rotação, radianos em relação a x, WCS, anti-horário
alt - real, altura do texto
st - string, estilo do texto
ali - string, alinhamento, "MC" é middle center... "L" é left

quando você vai criar um bloco com atributos, é necessário CRIAR o atributo também...
vejam a discussão gerada em cima deste assunto neste link

LinkWithin

Related Posts Plugin for WordPress, Blogger...